"""Task management."""

import attr

from . import attrs_extra


@attr.s
class TaskManager(object):
    _log = attrs_extra.log('%s.TaskManager' % __name__)

    def task_logged_in_svn(self, sender, task_id, log_entry):
        """Blinker signal receiver; connects the logged commit with the task.

        :param sender: sender of the signal
        :type sender: attract_server.subversion.CommitLogObserver
        :param task_info: {'task_id': '123', 'log_entry': LogEntry} dict.
        :type task_info: dict
        """

        self._log.info("Task '%s' logged in SVN: %s", task_id, log_entry)
